Mailinglist Archive: opensuse-commit (1318 mails)

< Previous Next >
commit dnsmasq
  • From: root@xxxxxxx (h_root)
  • Date: Mon, 7 Aug 2006 12:58:36 +0200 (CEST)
  • Message-id: <20060807105836.8A76C950FD@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package dnsmasq
checked in at Mon Aug 7 12:58:36 CEST 2006.

--------
--- dnsmasq/dnsmasq.changes 2006-01-25 21:35:31.000000000 +0100
+++ dnsmasq/dnsmasq.changes 2006-08-07 09:12:10.000000000 +0200
@@ -1,0 +2,19 @@
+Mon Aug 7 09:10:16 CEST 2006 - ug@xxxxxxx
+
+- version 2.33
+- Provide extra information to lease-change script
+- Fix breakage with some DHCP relay implementations
+- compilation warning fixes
+- minor DNS and DHCP fixes and enhancements
+
+-------------------------------------------------------------------
+Mon Jun 12 13:49:39 CEST 2006 - ug@xxxxxxx
+
+- version 2.32
+
+-------------------------------------------------------------------
+Wed May 17 13:51:37 CEST 2006 - ug@xxxxxxx
+
+- version 2.31
+
+-------------------------------------------------------------------

Old:
----
dnsmasq-2.26.tar.gz

New:
----
dnsmasq-2.33.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ dnsmasq.spec ++++++
--- /var/tmp/diff_new_pack.GxW7Ka/_old 2006-08-07 12:58:05.000000000 +0200
+++ /var/tmp/diff_new_pack.GxW7Ka/_new 2006-08-07 12:58:05.000000000 +0200
@@ -1,18 +1,18 @@
#
-# spec file for package dnsmasq (Version 2.26)
+# spec file for package dnsmasq (Version 2.33)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
-# Please submit bugfixes or comments via http://bugs.opensuse.org
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name: dnsmasq
-Summary: lightweight, easy to configure DNS forwarder and DHCP server
-Version: 2.26
+Summary: Lightweight, Easy-to-Configure DNS Forwarder and DHCP Server
+Version: 2.33
Release: 1
License: GPL
Group: Productivity/Networking/DNS/Servers
@@ -26,11 +26,11 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
-Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP
+Dnsmasq is a lightweight, easy-to-configure DNS forwarder and DHCP
server. It is designed to provide DNS and, optionally, DHCP, to a small
-network. It can serve the names of local machines which are not in the
+network. It can serve the names of local machines that are not in the
global DNS. The DHCP server integrates with the DNS server and allows
-machines with DHCP-allocated addresses to appear in the DNS with names
+machines with DHCP-allocated addresses to appear in DNS with names
configured either in each host or in a central configuration file.
Dnsmasq supports static and dynamic DHCP leases and BOOTP for network
booting of diskless machines.
@@ -68,7 +68,7 @@
make install-i18n DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/slp.reg.d
-install -m 755 rpm/rc.dnsmasq-suse $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/dnsmasq
+install -m 755 rc.dnsmasq-suse $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/dnsmasq
ln -sf ../../etc/init.d/dnsmasq $RPM_BUILD_ROOT/usr/sbin/rcdnsmasq
install -m 644 dnsmasq.conf.example $RPM_BUILD_ROOT/%{_sysconfdir}/dnsmasq.conf
install -m 644 dnsmasq.reg $RPM_BUILD_ROOT/%{_sysconfdir}/slp.reg.d/
@@ -84,8 +84,19 @@
/%{_sysconfdir}/slp.reg.d/
%attr(0644,root,root) /%{_sysconfdir}/slp.reg.d/dnsmasq.reg
%doc %{_mandir}/man8/dnsmasq.8.gz
+%doc %{_mandir}/es/man8/dnsmasq.8.gz

%changelog -n dnsmasq
+* Mon Aug 07 2006 - ug@xxxxxxx
+- version 2.33
+- Provide extra information to lease-change script
+- Fix breakage with some DHCP relay implementations
+- compilation warning fixes
+- minor DNS and DHCP fixes and enhancements
+* Mon Jun 12 2006 - ug@xxxxxxx
+- version 2.32
+* Wed May 17 2006 - ug@xxxxxxx
+- version 2.31
* Wed Jan 25 2006 - mls@xxxxxxx
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - ug@xxxxxxx

++++++ dnsmasq-2.26.tar.gz -> dnsmasq-2.33.tar.gz ++++++
++++ 25006 lines of diff (skipped)

++++++ group_and_isc.diff ++++++
--- /var/tmp/diff_new_pack.GxW7Ka/_old 2006-08-07 12:58:06.000000000 +0200
+++ /var/tmp/diff_new_pack.GxW7Ka/_new 2006-08-07 12:58:06.000000000 +0200
@@ -10,22 +10,13 @@
.TP
.B \-v, --version
--- src/config.h
-+++ src/config.h 2006/01/16 09:12:08
-@@ -44,7 +44,7 @@
++++ src/config.h 2006/05/09 14:27:47
+@@ -45,7 +45,7 @@
#endif
#define DEFLEASE 3600 /* default lease time, 1 hour */
#define CHUSER "nobody"
-#define CHGRP "dip"
+#define CHGRP "dialout"
- #define IP6INTERFACES "/proc/net/if_inet6"
- #define UPTIME "/proc/uptime"
#define DHCP_SERVER_PORT 67
-@@ -184,7 +184,7 @@
+ #define DHCP_CLIENT_PORT 68

- /* platform independent options. */
- #undef HAVE_BROKEN_RTC
--#define HAVE_ISC_READER
-+#undef HAVE_ISC_READER
- #undef HAVE_DBUS
-
- #if defined(HAVE_BROKEN_RTC) && defined(HAVE_ISC_READER)

++++++ vendor-files.tar.bz2 ++++++
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/rc.dnsmasq-suse new/rc.dnsmasq-suse
--- old/rc.dnsmasq-suse 1970-01-01 01:00:00.000000000 +0100
+++ new/rc.dnsmasq-suse 2006-05-08 10:54:46.000000000 +0200
@@ -0,0 +1,79 @@
+#! /bin/sh
+#
+# init.d/dnsmasq
+#
+### BEGIN INIT INFO
+# Provides: dnsmasq
+# Required-Start: $network $remote_fs $syslog
+# Required-Stop:
+# Default-Start: 3 5
+# Default-Stop:
+# Description: Starts internet name service masq caching server (DNS)
+### END INIT INFO
+
+NAMED_BIN=/usr/sbin/dnsmasq
+NAMED_PID=/var/run/dnsmasq.pid
+NAMED_CONF=/etc/dnsmasq.conf
+
+if [ ! -x $NAMED_BIN ] ; then
+ echo -n "dnsmasq not installed ! "
+ exit 5
+fi
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting name service masq caching server "
+ checkproc -p $NAMED_PID $NAMED_BIN
+ if [ $? -eq 0 ] ; then
+ echo -n "- Warning: dnsmasq already running ! "
+ else
+ [ -e $NAMED_PID ] && echo -n "- Warning: $NAMED_PID exists ! "
+ fi
+ startproc -p $NAMED_PID $NAMED_BIN -u nobody
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting name service masq caching server "
+ checkproc -p $NAMED_PID $NAMED_BIN
+ [ $? -ne 0 ] && echo -n "- Warning: dnsmasq not running ! "
+ killproc -p $NAMED_PID -TERM $NAMED_BIN
+ rc_status -v
+ ;;
+ try-restart)
+ $0 stop && $0 start
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload)
+ $0 reload
+ rc_status
+ ;;
+ reload)
+ echo -n "Reloading name service masq caching server "
+ checkproc -p $NAMED_PID $NAMED_BIN
+ [ $? -ne 0 ] && echo -n "- Warning: dnsmasq not running ! "
+ killproc -p $NAMED_PID -HUP $NAMED_BIN
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for name service masq caching server "
+ checkproc -p $NAMED_PID $NAMED_BIN
+ rc_status -v
+ ;;
+ probe)
+ test $NAMED_CONF -nt $NAMED_PID && echo reload
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+ ;;
+esac
+rc_exit
+


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...


< Previous Next >
This Thread